phpMyAdmin “server_status.php” cross-site scripting sebezhetőség

CH azonosító

CH-772

Felfedezés dátuma

2007.10.22.

Súlyosság

Közepes

Érintett rendszerek

phpMyAdmin
phpMyAdmin Project

Érintett verziók

phpMyAdmin Project phpMyAdmin 2.11.1.1

Összefoglaló

Találtak egy sérülékenységet a phpMyAdminban, amit kihasználva rosszindulatú támadók cross-site scripting támadást hajthatnak végre.

Leírás

Találtak egy sérülékenységet a phpMyAdminban, amit kihasználva rosszindulatú támadók cross-site scripting támadást hajthatnak végre.

A server_status.php-nak átadott bemenet nincs megfelelően ellenőrizve. Ezt kihasználva tetszőleges HTML és script kód futtatható a felhasználó böngészőjében az érintett oldallal kapcsolatban.

A sérülékenység sikeres kihasználásához az érintett felhasználónak érvényes tanúsítványokkal kell rendelkeznie.

Ezen kívül a gyártó más cross-site scripting problémákat is kijavított.

Megoldás

Frissítsen a legújabb verzióra